# draugr.writers.terminal.terminal_plot_writer.TerminalWriter

class draugr.writers.terminal.terminal_plot_writer.TerminalWriter(**kwargs)

  Bases: `Writer`, `ImageWriterMixin`

  description

  __init__(**kwargs)
    Parameters

      - interval –

      - filters –

      - verbose –

  Methods

  `__init__`(**kwargs)

  param interval

  `blip`(tag[, step_i])

  param tag

  `close`() | description
  `filter`(tag) | returns a boolean value, true if to be included, False if to be excluded
  `image`(tag, data, step, *[, dataformats]) | description
  `open`() | description

  `scalar`(tag, value[, step_i])

  param tag

  `stats`(value[, step_i])

  param step_i

  class MultiChannelMethodEnum(value)

    Bases: `Enum`

    An enumeration.

  blip(tag: str, step_i: Optional [ int ] = None) → None
    Parameters

      - tag –

      - step_i –

  close() → Any

    description

  filter(tag: str ) → bool

    > returns a boolean value, true if to be included, False if to be excluded

    > tag is in filter if not None and within interval for inclusion

    Parameters

      tag –

    Returns

    Return type

  image(tag: str, data: Union [ ndarray , Tensor, Image], step, *, dataformats: str = 'NCHW', **kwargs) → None

    description

  open() → Any

    description

  scalar(tag: str, value: Union [ int , float ], step_i: Optional [ int ] = None) → None
    Parameters

      - tag –

      - value –

      - step_i –

  stats(value: MetricCollection, step_i: Optional [ int ] = None)

    > param step_i